%define module_version 0.10
%define module_name Test-Mojo-Plack
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catalyst.pm) perl(Catalyst/Runtime.pm) perl(Catalyst/View/JSON.pm) perl(Class/Load.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(IO/String.pm) perl(List/MoreUtils.pm) perl(Mojo/Base.pm) perl(Mojo/Headers.pm) perl(Mojo/JSON.pm) perl(Mojo/Transaction/HTTP.pm) perl(Mojo/URL.pm) perl(Mojo/Util.pm) perl(Mojolicious.pm) perl(Moose.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: Test Plack-compatible applications with Test:Mojo
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NI/NICOMEN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
use Test::Mojo::Plack;
    use Test::More;

    my $foo = Test::Mojo::Plack->new('My::Catalyst::App');
    my $foo = Test::Mojo::Plack->new('My::Dancer::App');

    $foo->get_ok("/")
         ->status_is(200)
         ->content_type_is('text/html')
         ->text_is('#footer a.author', 'mendoza@pvv.ntnu.no');

    done_testing;
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README.md Changes
%perl_vendor_privlib/T*

%changelog
* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- regenerated from template by package builder

* Thu Nov 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- regenerated from template by package builder

* Wed Nov 12 2014 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- initial import by package builder

